diff --git a/web/pgadmin/misc/cloud/static/js/biganimal.js b/web/pgadmin/misc/cloud/static/js/biganimal.js
new file mode 100644
index 000000000..389396b89
--- /dev/null
+++ b/web/pgadmin/misc/cloud/static/js/biganimal.js
@@ -0,0 +1,204 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import React from 'react';
+import pgAdmin from 'sources/pgadmin';
+import { getNodeAjaxOptions, getNodeListById } from 'pgbrowser/node_ajax';
+import {BigAnimalClusterSchema, BigAnimalDatabaseSchema} from './cloud_db_details_schema.ui';
+import SchemaView from '../../../../static/js/SchemaView';
+import url_for from 'sources/url_for';
+import getApiInstance from '../../../../static/js/api_instance';
+import { isEmptyString } from 'sources/validators';
+import PropTypes from 'prop-types';
+
+
+const axiosApi = getApiInstance();
+
+// BigAnimal Instance
+export function BigAnimalInstance(props) {
+  const [bigAnimalInstance, setBigAnimalInstance] = React.useState();
+
+  React.useMemo(() => {
+    const bigAnimalSchema = new BigAnimalClusterSchema({
+      regions: ()=>getNodeAjaxOptions('biganimal_regions', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('cloud.biganimal_regions');
+        }
+      }),
+      instance_types: (region_id)=>getNodeAjaxOptions('biganimal_instance_types', pgAdmin.Browser.Nodes['server'],
+        props.nodeInfo, props.nodeData, {
+          useCache:false,
+          cacheNode: 'server',
+          customGenerateUrl: ()=>{
+            return url_for('cloud.biganimal_instance_types', {'region_id': region_id || 0});
+          }
+        }),
+      volume_types: (region_id)=>getNodeAjaxOptions('biganimal_volume_types', pgAdmin.Browser.Nodes['server'],
+        props.nodeInfo, props.nodeData, {
+          useCache:false,
+          cacheNode: 'server',
+          customGenerateUrl: ()=>{
+            return url_for('cloud.biganimal_volume_types', {'region_id': region_id || 0});
+          }
+        }),
+      volume_properties: (region_id, volume_type)=>getNodeAjaxOptions('biganimal_volume_properties', pgAdmin.Browser.Nodes['server'],
+        props.nodeInfo, props.nodeData, {
+          useCache:false,
+          cacheNode: 'server',
+          customGenerateUrl: ()=>{
+            return url_for('cloud.biganimal_volume_properties', {'region_id': region_id || 0, 'volume_type': volume_type || ''});
+          }
+        }),
+    }, {
+      nodeInfo: props.nodeInfo,
+      nodeData: props.nodeData,
+      hostIP: props.hostIP,
+    });
+    setBigAnimalInstance(bigAnimalSchema);
+  }, [props.cloudProvider]);
+
+  return  <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={bigAnimalInstance}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setBigAnimalInstanceData(changedData);
+    }}
+  />;
+}
+BigAnimalInstance.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  setBigAnimalInstanceData: PropTypes.func,
+  hostIP: PropTypes.string,
+};
+
+
+// BigAnimal Instance
+export function BigAnimalDatabase(props) {
+  const [bigAnimalDatabase, setBigAnimalDatabase] = React.useState();
+
+  React.useMemo(() => {
+    const bigAnimalDBSchema = new BigAnimalDatabaseSchema({
+      db_types: ()=>getNodeAjaxOptions('biganimal_db_types', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('cloud.biganimal_db_types');
+        }
+      }),
+      db_versions: ()=>getNodeAjaxOptions('biganimal_db_versions', pgAdmin.Browser.Nodes['server'], props.nodeInfo, props.nodeData, {
+        useCache:false,
+        cacheNode: 'server',
+        customGenerateUrl: ()=>{
+          return url_for('cloud.biganimal_db_versions');
+        }
+      }),
+      server_groups: ()=>getNodeListById(pgAdmin.Browser.Nodes['server_group'], props.nodeInfo, props.nodeData),
+    }, {gid: props.nodeInfo['server_group']._id});
+    setBigAnimalDatabase(bigAnimalDBSchema);
+  }, [props.cloudProvider]);
+
+  return  <SchemaView
+    formType={'dialog'}
+    getInitData={() => { /*This is intentional (SonarQube)*/ }}
+    viewHelperProps={{ mode: 'create' }}
+    schema={bigAnimalDatabase}
+    showFooter={false}
+    isTabView={false}
+    onDataChange={(isChanged, changedData) => {
+      props.setBigAnimalDatabaseData(changedData);
+    }}
+  />;
+}
+BigAnimalDatabase.propTypes = {
+  nodeInfo: PropTypes.object,
+  nodeData: PropTypes.object,
+  cloudProvider: PropTypes.string,
+  setBigAnimalDatabaseData: PropTypes.func,
+};
+
+
+export function validateBigAnimal() {
+  return new Promise((resolve, reject)=>{
+    let _url = url_for('cloud.biganimal_verification') ;
+    axiosApi.get(_url)
+      .then((res) => {
+        if (res.data.data) {
+          resolve(res.data.data);
+        }
+      })
+      .catch((error) => {
+        reject(`Error while fetchng EDB BigAnimal verification uri: ${error.response.data.errormsg}`);
+      });
+  });
+}
+
+
+function createData(name, value) {
+  return { name, value };
+}
+
+export function getBigAnimalSummary(cloud, bigAnimalInstanceData, bigAnimalDatabaseData) {
+  const rows1 = [
+    createData('Cloud', cloud),
+    createData('Instance name', bigAnimalInstanceData.cluster_name),
+    createData('Region', bigAnimalInstanceData.region),
+    createData('Cluster type', bigAnimalInstanceData.cloud_type),
+    createData('Public IPs', bigAnimalInstanceData.biganimal_public_ip),
+  ];
+
+  const rows2 = [
+    createData('Instance type', bigAnimalInstanceData.instance_type),
+    createData('Instance series', bigAnimalInstanceData.instance_series),
+    createData('Instance size', bigAnimalInstanceData.instance_size),
+  ];
+
+  const rows3 = [
+    createData('Volume type', bigAnimalInstanceData.volume_type),
+    createData('Volume properties', bigAnimalInstanceData.volume_properties),
+  ];
+
+  const rows4 = [
+    createData('Password', 'xxxxxxx'),
+    createData('Database Type',  bigAnimalDatabaseData.database_type),
+    createData('Database Version',  bigAnimalDatabaseData.postgres_version),
+  ];
+
+  return [rows1, rows2, rows3, rows4];
+}
+
+export function validateBigAnimalStep2(cloudInstanceDetails) {
+  let isError = false;
+  if (isEmptyString(cloudInstanceDetails.cluster_name) ||
+  isEmptyString(cloudInstanceDetails.region) || isEmptyString(cloudInstanceDetails.instance_type) ||
+  isEmptyString(cloudInstanceDetails.instance_series)|| isEmptyString(cloudInstanceDetails.instance_size) ||
+  isEmptyString(cloudInstanceDetails.volume_type)|| isEmptyString(cloudInstanceDetails.volume_properties) ||
+  isEmptyString(cloudInstanceDetails.cloud_type)) {
+    isError = true;
+  }
+
+  return isError;
+}
+
+export function validateBigAnimalStep3(cloudDBDetails, nodeInfo) {
+  let isError = false;
+  if (isEmptyString(cloudDBDetails.password) ||
+  isEmptyString(cloudDBDetails.database_type) || isEmptyString(cloudDBDetails.postgres_version)) {
+    isError = true;
+  }
+  if (isEmptyString(cloudDBDetails.gid)) cloudDBDetails.gid = nodeInfo['server_group']._id;
+  return isError;
+}
diff --git a/web/pgadmin/misc/cloud/static/js/cloud_components.jsx b/web/pgadmin/misc/cloud/static/js/cloud_components.jsx
new file mode 100644
index 000000000..d96d26ad7
--- /dev/null
+++ b/web/pgadmin/misc/cloud/static/js/cloud_components.jsx
@@ -0,0 +1,56 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+
+import React from 'react';
+import { ToggleButton, ToggleButtonGroup } from '@material-ui/lab';
+import CheckRoundedIcon from '@material-ui/icons/CheckRounded';
+import { DefaultButton, PrimaryButton } from '../../../../static/js/components/Buttons';
+import { makeStyles } from '@material-ui/core/styles';
+import { AWSIcon } from '../../../../static/js/components/ExternalIcon';
+import PropTypes from 'prop-types';
+
+const useStyles = makeStyles(() =>
+  ({
+    toggleButton: {
+      height: '100px',
+    },
+  }),
+);
+
+
+export default function ToggleButtons(props) {
+  const classes = useStyles();
+
+  const handleCloudProvider = (event, provider) => {
+    if (provider) props.setCloudProvider(provider);
+  };
+
+  return (
+    <ToggleButtonGroup
+      color="primary"
+      value={props.cloudProvider}
+      onChange={handleCloudProvider}
+      className={classes.toggleButton}
+      exclusive>
+      {
+        (props.options||[]).map((option)=>{
+          return (<ToggleButton value={option.value} key={option.label} aria-label={option.label} component={props.cloudProvider == option.value ? PrimaryButton : DefaultButton}>
+            <CheckRoundedIcon style={{visibility: props.cloudProvider == option.value  ? 'visible': 'hidden'}}/>&nbsp;
+            {option.value == 'rds' ? <AWSIcon className={classes.icon} /> : ''}&nbsp;&nbsp;{option.label}
+          </ToggleButton>);
+        })
+      }
+    </ToggleButtonGroup>
+  );
+}
+ToggleButtons.propTypes = {
+  setCloudProvider: PropTypes.func,
+  cloudProvider: PropTypes.string,
+  options: PropTypes.array,
+};
diff --git a/web/pgadmin/misc/cloud/static/js/cloud_db_details_schema.ui.js b/web/pgadmin/misc/cloud/static/js/cloud_db_details_schema.ui.js
index f26a6c199..4f343d662 100644
--- a/web/pgadmin/misc/cloud/static/js/cloud_db_details_schema.ui.js
+++ b/web/pgadmin/misc/cloud/static/js/cloud_db_details_schema.ui.js
@@ -173,6 +173,7 @@ class DatabaseSchema extends BaseUISchema {
   }
 }
 
+
 export class InstanceSchema extends BaseUISchema {
   constructor(versionOpts, instanceOpts, getInstances) {
     super({
@@ -301,8 +302,329 @@ export class StorageSchema extends BaseUISchema {
   }
 }
 
+
+class BigAnimalInstanceSchema extends BaseUISchema {
+  constructor(fieldOptions = {}, initValues={}) {
+    super({
+      oid: undefined,
+      instance_type: '',
+      instance_series: '',
+      instance_size: '',
+      ...initValues
+    });
+
+    this.fieldOptions = {
+      ...fieldOptions,
+    };
+
+    this.initValues = initValues;
+  }
+
+  get idAttribute() {
+    return 'oid';
+  }
+
+  get baseFields() {
+    return [
+      {
+        id: 'instance_type', label: gettext('Instance type'),
+        mode: ['create'],
+        deps: [['region']],
+        type: (state) => {
+          return {
+            type: 'select',
+            options: ()=>this.fieldOptions.instance_types(state.region),
+            optionsReloadBasis: state.region,
+            optionsLoaded: (options) => { state.instanceData = options; },
+            controlProps: {
+              allowClear: false,
+              filter: (options) => {
+                if (options.length == 0) return;
+                let _types = _.uniq(_.map(options, 'category')),
+                  _options = [];
+                _.forEach(_types, function(value) {
+                  _options.push({
+                    'label': value,
+                    'value': value
+                  });
+                });
+                return _options;
+              },
+            }
+          };
+        },
+        noEmpty: true,
+      },{
+        id: 'instance_series', label: gettext('Instance series'),
+        mode: ['create'], deps: ['instance_type'],
+        type: (state) => {
+          return {
+            type: 'select',
+            options: state.instanceData,
+            optionsReloadBasis: state.instance_type,
+            controlProps: {
+              allowClear: false,
+              filter: (options) => {
+                if (options.length == 0) return;
+                let _types = _.filter(options, {'category': state.instance_type}),
+                  _options = [];
+                _types = _.uniq(_.map(_types, 'familyName'));
+                _.forEach(_types, function(value) {
+                  _options.push({
+                    'label': value,
+                    'value': value
+                  });
+                });
+                return _options;
+              },
+            }
+          };
+        },
+        noEmpty: true,
+      },{
+        id: 'instance_size', label: gettext('Instance size'),
+        mode: ['create'], deps: ['instance_series'],
+        type: (state) => {
+          return {
+            type: 'select',
+            options: state.instanceData,
+            optionsReloadBasis: state.instance_series,
+            controlProps: {
+              allowClear: false,
+              filter: (options) => {
+                if (options.length == 0) return;
+                let _types = _.filter(options, {'familyName': state.instance_series}),
+                  _options = [];
+                _.forEach(_types, function(value) {
+                  _options.push({
+                    'label': value.instanceType + ' (' + value.cpu + 'vCPU, ' + value.ram + 'GB RAM)',
+                    'value': value.id,
+                  });
+                });
+                return _options;
+              },
+            }
+          };
+        }, noEmpty: true,
+      },
+    ];
+  }
+}
+
+
+class BigAnimalVolumeSchema extends BaseUISchema {
+  constructor(fieldOptions = {}, initValues = {}) {
+    super({
+      oid: undefined,
+      volume_type: '',
+      volume_properties: '',
+      ...initValues
+    });
+
+    this.fieldOptions = {
+      ...fieldOptions,
+    };
+    this.initValues = initValues;
+  }
+
+  get idAttribute() {
+    return 'oid';
+  }
+
+  get baseFields() {
+    return [
+      {
+        id: 'volume_type', label: gettext('Volume type'),
+        mode: ['create'], deps: [['region']],
+        type: (state) => {
+          return {
+            type: 'select',
+            options: ()=>this.fieldOptions.volume_types(state.region),
+            optionsReloadBasis: state.region,
+          };
+        }, noEmpty: true,
+      },{
+        id: 'volume_properties', label: gettext('Volume properties'),
+        mode: ['create'], deps: ['volume_type'],
+        type: (state) => {
+          return {
+            type: 'select',
+            options: ()=>this.fieldOptions.volume_properties(state.region, state.volume_type),
+            optionsReloadBasis: state.volume_type,
+          };
+        }, noEmpty: true,
+      },
+    ];
+  }
+}
+
+
+class BigAnimalNetworkSchema extends BaseUISchema {
+  constructor(fieldOptions = {}, initValues = {}) {
+    super({
+      oid: undefined,
+      cloud_type: '',
+      biganimal_public_ip: initValues.hostIP,
+      ...initValues
+    });
+
+    this.fieldOptions = {
+      ...fieldOptions,
+    };
+    this.initValues = initValues;
+  }
+
+  get idAttribute() {
+    return 'oid';
+  }
+
+  get baseFields() {
+    return [
+      {
+        id: 'cloud_type', label: gettext('Cloud type'), type: 'toggle',
+        mode: ['create'],
+        options: [
+          {'label': gettext('Private'), 'value': 'private'},
+          {'label': gettext('Public'), 'value': 'public'},
+        ], noEmpty: true,
+      },{
+        id: 'biganimal_public_ip', label: gettext('Public IP range'), type: 'text',
+        mode: ['create'], deps: ['cloud_type'],
+        disabled: (state) => {
+          if (state.cloud_type == 'public') return false;
+          return true;
+        },
+        helpMessage: gettext('IP Address range for permitting the inbound traffic. Ex: 127.0.0.1/32, add multiple ip addresses/ranges by comma separated. Leave it blank for 0.0.0.0/0'),
+      },
+    ];
+  }
+}
+class BigAnimalDatabaseSchema extends BaseUISchema {
+  constructor(fieldOptions = {}, initValues = {}) {
+    super({
+      oid: undefined,
+      password: '',
+      confirm_password: '',
+      database_type: '',
+      postgres_version: '',
+      ...initValues
+    });
+
+    this.fieldOptions = {
+      ...fieldOptions,
+    };
+    this.initValues = initValues;
+  }
+
+
+  validate(data, setErrMsg) {
+    if(!isEmptyString(data.password) && !isEmptyString(data.confirm_password)
+    && data.password != data.confirm_password) {
+      setErrMsg('confirm_password', gettext('Passwords do not match.'));
+      return true;
+    }
+    if (!isEmptyString(data.confirm_password) && data.confirm_password.length < 12) {
+      setErrMsg('confirm_password', gettext('Password must be 12 characters or more.'));
+      return true;
+    }
+
+    return false;
+  }
+
+  get idAttribute() {
+    return 'oid';
+  }
+
+  get baseFields() {
+    return [
+      {
+        id: 'gid', label: gettext('Server group'), type: 'select',
+        options: this.fieldOptions.server_groups,
+        mode: ['create'],
+        controlProps: { allowClear: false },
+        noEmpty: true,
+      }, {
+        id: 'database_type', label: gettext('Database type'), mode: ['create'],
+        type: 'select',
+        options: this.fieldOptions.db_types,
+        noEmpty: true, orientation: 'vertical',
+      },{
+        id: 'postgres_version', label: gettext('PostgreSQL version'), type: 'select',
+        mode: ['create'], noEmpty: true,
+        options: this.fieldOptions.db_versions,
+      },{
+        id: 'password', label: gettext('Database password'), type: 'password',
+        mode: ['create'], noEmpty: true,
+      },{
+        id: 'confirm_password', label: gettext('Confirm password'), type: 'password',
+        mode: ['create'], noEmpty: true,
+      },
+    ];
+  }
+}
+
+class BigAnimalClusterSchema extends BaseUISchema {
+  constructor(fieldOptions = {}, initValues = {}) {
+    super({
+      oid: undefined,
+      cluster_name: '',
+      region: '',
+      public_ip: initValues.hostIP,
+      ...initValues
+    });
+
+    this.fieldOptions = {
+      ...fieldOptions,
+    };
+    this.initValues = initValues;
+
+    this.instance_types = new BigAnimalInstanceSchema({
+      instance_types: this.fieldOptions.instance_types,
+    });
+    this.volume_types = new BigAnimalVolumeSchema({
+      volume_types: this.fieldOptions.volume_types,
+      volume_properties: this.fieldOptions.volume_properties
+    });
+  }
+
+  get idAttribute() {
+    return 'oid';
+  }
+
+  get baseFields() {
+    return [
+      {
+        id: 'cluster_name', label: gettext('Cluster name'), type: 'text',
+        mode: ['create'], noEmpty: true,
+      },{
+        id: 'region', label: gettext('Region'), type: 'select',
+        options: this.fieldOptions.regions,
+        controlProps: { allowClear: false },
+        noEmpty: true,
+        mode: ['create'],
+      },{
+        type: 'nested-fieldset', label: gettext('Instance Type'),
+        mode: ['create'], deps: ['region'],
+        schema: this.instance_types,
+      },{
+        type: 'nested-fieldset', label: gettext('Storage'),
+        mode: ['create'], deps: ['region'],
+        schema: this.volume_types,
+      }, {
+        type: 'nested-fieldset', label: gettext('Network Connectivity'),
+        mode: ['create'],
+        schema: new BigAnimalNetworkSchema({}, this.initValues),
+      }
+    ];
+  }
+}
+
+
 export {
   CloudInstanceDetailsSchema,
   CloudDBCredSchema,
   DatabaseSchema,
+  BigAnimalClusterSchema,
+  BigAnimalDatabaseSchema
 };
+
diff --git a/web/pgadmin/misc/cloud/utils/__init__.py b/web/pgadmin/misc/cloud/utils/__init__.py
index 4cded810f..206d79fb3 100644
--- a/web/pgadmin/misc/cloud/utils/__init__.py
+++ b/web/pgadmin/misc/cloud/utils/__init__.py
@@ -15,10 +15,10 @@ def get_my_ip():
     """ Return the public IP of this host """
     http = urllib3.PoolManager()
     try:
-        external_ip = http.request('GET', 'https://ident.me').data
+        external_ip = http.request('GET', 'http://ident.me').data
     except Exception:
         try:
-            external_ip = http.request('GET', 'https://ifconfig.me/ip').data
+            external_ip = http.request('GET', 'http://ifconfig.me/ip').data
         except Exception:
             external_ip = '127.0.0.1'
 
diff --git a/web/pgadmin/misc/cloud/utils/biganimal.py b/web/pgadmin/misc/cloud/utils/biganimal.py
new file mode 100644
index 000000000..e04f30c38
--- /dev/null
+++ b/web/pgadmin/misc/cloud/utils/biganimal.py
@@ -0,0 +1,210 @@
+# ##########################################################################
+# #
+# # pgAdmin 4 - PostgreSQL Tools
+# #
+# # Copyright (C) 2013 - 2022, The pgAdmin Development Team
+# # This software is released under the PostgreSQL Licence
+# #
+# ##########################################################################
+
+# EDB BigAnimal
+
+import requests
+import json
+from werkzeug.datastructures import Headers
+
+
+class BigAnimalProvider():
+    BASE_URL = 'https://portal.biganimal.com/api/v1'
+
+    def __init__(self):
+        self.provider = {}
+        self.device_code = {}
+        self.token = {}
+        self.raw_access_token = None
+        self.access_token = None
+        self.token_error = {}
+        self.token_status = -1
+        self.get_auth_provider()
+
+    def get_auth_provider(self):
+        # 1. Get Authentication Provider Relevant Information
+        provider_resp = requests.get("{0}/{1}".format(self.BASE_URL,
+                                                      'auth/provider'))
+        if provider_resp.status_code == 200 and provider_resp.content:
+            self.provider = json.loads(provider_resp.content)
+            print(self.provider)
+
+    def get_device_code(self):
+        _url = "{0}/{1}".format(self.provider['issuerUri'],
+                                'oauth/device/code')
+        _headers = {"content-type": "application/x-www-form-urlencoded"}
+        _data = {
+            'client_id': self.provider['clientId'],
+            'audience': self.provider['audience'],
+            'scope': self.provider['scope']
+        }
+        device_resp = requests.post(_url,
+                                    headers=_headers,
+                                    data=_data)
+
+        if device_resp.status_code == 200 and device_resp.content:
+            self.device_code = json.loads(device_resp.content)
+            return self.device_code['verification_uri_complete']
+
+    def polling_for_token(self):
+        # Polling for the Token
+        _url = "{0}/{1}".format(self.provider['issuerUri'], 'oauth/token')
+        _headers = {"content-type": "application/x-www-form-urlencoded"}
+        _data = {
+            'grant_type': 'urn:ietf:params:oauth:grant-type:device_code',
+            'device_code': self.device_code['device_code'],
+            'client_id': self.provider['clientId']
+        }
+        token_resp = requests.post(_url,
+                                   headers=_headers,
+                                   data=_data)
+        if token_resp.status_code == 200:
+            self.token = json.loads(token_resp.content)
+            self.raw_access_token = self.token['access_token']
+            self.token_error['error'] = None
+            self.token_status = 1
+            return self.exchange_token()
+        elif token_resp.status_code == 403:
+            self.token_error = json.loads(token_resp.content)
+            if self.token_error['error'] == 'authorization_pending' or\
+                    self.token_error['error'] == 'access_denied':
+                self.token_status = 0
+                return False, self.token_error['error']
+        return False, None
+
+    def exchange_token(self):
+        _url = "{0}/{1}".format(self.BASE_URL, 'auth/token')
+        _headers = {"content-type": "application/json"}
+        _data = {'token': self.raw_access_token}
+        token_resp = requests.post(_url,
+                                   headers=_headers,
+                                   data=json.dumps(_data))
+
+        final_token = json.loads(token_resp.content)
+        if token_resp.status_code == 200:
+            self.access_token = final_token['token']
+            print("Access Token: {}".format(self.access_token))
+            return True, None
+        else:
+            return False, self.token_error['error']
+
+    def get_regions(self):
+        _url = "{0}/{1}".format(
+            self.BASE_URL,
+            'cloud-providers/azure/regions')
+        headers = Headers()
+        headers.add('Authorization', 'Bearer {0}'.format(self.access_token))
+        headers.add('content-type', 'application/json')
+        _headers = {
+            'content-type': 'application/json',
+            'Authorization': 'Bearer {0}'.format(self.access_token)
+        }
+        regions = []
+        resp = requests.get(_url, headers=headers)
+        if resp.status_code == 200 and resp.content:
+            regions_resp = json.loads(resp.content)
+            for value in regions_resp['regionsList']:
+                regions.append({
+                    'label': value['regionName'],
+                    'value': value['regionId']
+                })
+
+        return regions
+
+    def get_postgres_types(self):
+        _url = "{0}/{1}".format(
+            self.BASE_URL,
+            'postgres-types')
+        _headers = {
+            'content-type': 'application/json',
+            'authorization': 'Bearer {0}'.format(self.access_token)
+        }
+        pg_types = []
+        resp = requests.get(_url, headers=_headers)
+        if resp.status_code == 200 and resp.content:
+            pg_types_resp = json.loads(resp.content)
+            for value in pg_types_resp['pgTypesList']:
+                pg_types.append({
+                    'label': value['name'],
+                    'value': value['id']
+                })
+        return pg_types
+
+    def get_postgres_versions(self):
+        _url = "{0}/{1}".format(
+            self.BASE_URL,
+            'postgres-versions')
+        _headers = {
+            'content-type': 'application/json',
+            'authorization': 'Bearer {0}'.format(self.access_token)
+        }
+        pg_versions = []
+        resp = requests.get(_url, headers=_headers)
+        if resp.status_code == 200 and resp.content:
+            pg_versions_resp = json.loads(resp.content)
+            for value in pg_versions_resp['pgVersionsList']:
+                pg_versions.append({
+                    'label': value['versionName'],
+                    'value': value['versionId']
+                })
+        return pg_versions
+
+    def get_instance_types(self, region_id):
+        _url = "{0}/{1}".format(
+            self.BASE_URL,
+            'cloud-providers/azure/regions/'
+            '{0}/instance-types'.format(region_id))
+        _headers = {
+            'content-type': 'application/json',
+            'authorization': 'Bearer {0}'.format(self.access_token)
+        }
+        resp = requests.get(_url, headers=_headers)
+        if resp.status_code == 200 and resp.content:
+            pg_types = json.loads(resp.content)
+            return pg_types['instanceTypesList']
+        return []
+
+    def get_volume_types(self, region_id):
+        _url = "{0}/{1}".format(
+            self.BASE_URL,
+            'cloud-providers/azure/regions/{0}/volume-types'.format(region_id))
+        _headers = {
+            'content-type': 'application/json',
+            'authorization': 'Bearer {0}'.format(self.access_token)
+        }
+        volume_types = []
+        resp = requests.get(_url, headers=_headers)
+        if resp.status_code == 200 and resp.content:
+            volume_resp = json.loads(resp.content)
+            for value in volume_resp['volumeTypesList']:
+                volume_types.append({
+                    'label': value['displayName'],
+                    'value': value['id']
+                })
+        return volume_types
+
+    def get_volume_properties(self, region_id, volume_type):
+        _url = "{0}/{1}".format(
+            self.BASE_URL,
+            'cloud-providers/azure/regions/{0}/volume-types'
+            '/{1}/volume-properties'.format(region_id, volume_type))
+        _headers = {
+            'content-type': 'application/json',
+            'authorization': 'Bearer {0}'.format(self.access_token)
+        }
+        volume_properties = []
+        resp = requests.get(_url, headers=_headers)
+        if resp.status_code == 200 and resp.content:
+            volume_prop = json.loads(resp.content)
+            for value in volume_prop['volumePropertiesList']:
+                volume_properties.append({
+                    'label': value['value'],
+                    'value': value['id']
+                })
+        return volume_properties
diff --git a/web/pgadmin/misc/cloud/utils/rds.py b/web/pgadmin/misc/cloud/utils/rds.py
index 9c32cbbf1..5975c8f3c 100644
--- a/web/pgadmin/misc/cloud/utils/rds.py
+++ b/web/pgadmin/misc/cloud/utils/rds.py
@@ -51,7 +51,7 @@ class RDS():
         return rds.describe_db_engine_versions(Engine=engine)
 
     def get_available_db_instance_class(self, engine='postgres',
-                                        engine_version='9.6'):
+                                        engine_version='10'):
         rds = self._get_aws_client('rds')
         _instances = rds.describe_orderable_db_instance_options(
             Engine=engine,
diff --git a/web/pgadmin/static/js/components/ExternalIcon.jsx b/web/pgadmin/static/js/components/ExternalIcon.jsx
index 3fa91b895..234ac3a83 100644
--- a/web/pgadmin/static/js/components/ExternalIcon.jsx
+++ b/web/pgadmin/static/js/components/ExternalIcon.jsx
@@ -13,6 +13,7 @@ import FormatCaseSvg from '../../img/fonticon/format_case.svg?svgr';
 import PropTypes from 'prop-types';
 import Expand from '../../img/fonticon/open_in_full.svg?svgr';
 import Collapse from '../../img/fonticon/close_fullscreen.svg?svgr';
+import AWS from '../../img/aws.svg?svgr';
 
 export default function ExternalIcon({Icon, ...props}) {
   return <Icon className={'MuiSvgIcon-root'} {...props} />;
@@ -35,3 +36,4 @@ export const RegexIcon = ()=><ExternalIcon Icon={RegexSvg} />;
 export const FormatCaseIcon = ()=><ExternalIcon Icon={FormatCaseSvg} />;
 export const ExpandDialogIcon = ()=><ExternalIcon Icon={Expand} style={{height: '1.2rem'}}  />;
 export const MinimizeDialogIcon = ()=><ExternalIcon Icon={Collapse} style={{height: '1.4rem'}} />;
+export const AWSIcon = ()=><ExternalIcon Icon={AWS} style={{height: '1.4rem'}} />;
diff --git a/web/pgadmin/static/js/components/FormComponents.jsx b/web/pgadmin/static/js/components/FormComponents.jsx
index cec2ae439..cd3eb2380 100644
--- a/web/pgadmin/static/js/components/FormComponents.jsx
+++ b/web/pgadmin/static/js/components/FormComponents.jsx
@@ -588,7 +588,6 @@ InputRadio.propTypes = {
   labelPlacement: PropTypes.string
 };
 
-
 export const InputToggle = forwardRef(({ cid, value, onChange, options, disabled, readonly, ...props }, ref) => {
   return (
     <ToggleButtonGroup
@@ -1264,7 +1263,7 @@ export function NotifierMessage({ type = MESSAGE_TYPE.SUCCESS, message, closable
   return (
     <Box className={clsx(classes.container, classes[`container${type}`])}>
       <FormIcon type={type} className={classes[`icon${type}`]} />
-      <Box className={classes.message}>{message}</Box>
+      <Box className={classes.message}>{HTMLReactParse(message || '')}</Box>
       {closable && <IconButton className={clsx(classes.closeButton, classes[`icon${type}`])} onClick={onClose}>
         <FormIcon close={true} />
       </IconButton>}
